!> \file param_phy_mod.f90
!! Module pour definir les parametres physique necessaire qui ne 
!! sont pas souvent modifier
!<

!> \namespace param_phy_mod
!! Module pour definir les parametres physique necessaire qui ne 
!! sont pas souvent modifier
!! \author ...
!! \date 2010
!< Module de declaration de certains parametres rarement changes.
!< enleve les parameter pour G,RO,ROFRESH,ROM,ROW
!< pour pouvoir 

module param_phy_mod

implicit none

real,parameter ::  G = 9.81             !< gravite en m s-2
real,parameter ::  RO = 918.0           !< densities of ice : 918 for consistency with LBq
real,parameter ::  ROFRESH = 1000.      !< density of fresh water

real,parameter ::  ROM = 3300.0         !< density of mantle
real,parameter ::  ROW = 1028.0         !< densities of ocean water

                              ! maintenant defini dans initial-phy-2.f90
real,parameter ::  coef_Sflot = (Row-Ro)/Row   !<   S = coef_Sflot * H + sealevel pour les shelves
real,parameter ::  ROG  = ro*g                 !<  RO*G   (glace)    in Pa = 1 kg/m/s2
real,parameter ::  ROWG = row*g                != ROW*G            !<  ROW*G  (ocean) 
real,parameter ::  ROMG = rom*g                != ROM*G            !<  ROM*G  (asthenosphere)

real,parameter ::  DICE = ro/row               != RO/ROW           !<  RO/ROW

real,parameter ::  ROFRESHG = rofresh*g        !<  ROFRESH*G 

real,parameter ::  CL=3.35E5                   !< specific latent heat of fusion of ice J/Kg

real,parameter ::  DA=4.E7                     !< DA mantle diffusion

real,parameter ::  RGAS=8.314                  !< gas constant (J/mol/K)

real,Parameter :: Dzm=600        !< Grid Step In Mantle
real,Parameter ::  Cm=1.04e8     !< Prop Thermique


end module param_phy_mod
